Flecs: flecs::_::type_impl< T > Struct Template Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes | List of all members
flecs::_::type_impl< T > Struct Template Reference

## Static Public Member Functions
static void | init (entity_t entity, bool allow_tag=true)
static entity_t | id_explicit (world_t *world=nullptr, const char *name=nullptr, bool allow_tag=true, flecs::id_t id=0, bool is_component=true, bool *existing=nullptr)
static id_t | id (world_t *world=nullptr, const char *name=nullptr, bool allow_tag=true)
static size_t | size ()
static size_t | alignment ()
static bool | registered (flecs::world_t *world)
static void | reset ()

## Static Public Attributes
static entity_t | s_id
static size_t | s_size
static size_t | s_alignment
static bool | s_allow_tag
static int32_t | s_reset_count

## Detailed Description

template<typename T>
struct flecs::_::type_impl< T >

Definition at line 133 of file component.hpp.

## Member Function Documentation

## ◆ alignment()

template<typename T >

static size_t flecs::_::type_impl< T >::alignment | ( |  | ) |
| inlinestatic

Definition at line 281 of file component.hpp.

## ◆ id()

template<typename T >

static id_t flecs::_::type_impl< T >::id | ( | world_t * | world = nullptr,
|  | const char * | name = nullptr,
|  | bool | allow_tag = true )
| inlinestatic

Definition at line 225 of file component.hpp.

## ◆ id_explicit()

template<typename T >

static entity_t flecs::_::type_impl< T >::id_explicit | ( | world_t * | world = nullptr,
|  | const char * | name = nullptr,
|  | bool | allow_tag = true,
|  | flecs::id_t | id = 0,
|  | bool | is_component = true,
|  | bool * | existing = nullptr )
| inlinestatic

Definition at line 172 of file component.hpp.

## ◆ init()

template<typename T >

static void flecs::_::type_impl< T >::init | ( | entity_t | entity,
|  | bool | allow_tag = true )
| inlinestatic

Definition at line 138 of file component.hpp.

## ◆ registered()

template<typename T >

static bool flecs::_::type_impl< T >::registered | ( | flecs::world_t * | world | ) |
| inlinestatic

Definition at line 287 of file component.hpp.

## ◆ reset()

template<typename T >

static void flecs::_::type_impl< T >::reset | ( |  | ) |
| inlinestatic

Definition at line 302 of file component.hpp.

## ◆ size()

template<typename T >

static size_t flecs::_::type_impl< T >::size | ( |  | ) |
| inlinestatic

Definition at line 275 of file component.hpp.

## Member Data Documentation

## ◆ s_alignment

template<typename T >

size_t flecs::_::type_impl< T >::s_alignment
| static

Definition at line 311 of file component.hpp.

## ◆ s_allow_tag

template<typename T >

bool flecs::_::type_impl< T >::s_allow_tag
| static

Definition at line 312 of file component.hpp.

## ◆ s_id

template<typename T >

entity_t flecs::_::type_impl< T >::s_id
| static

Definition at line 309 of file component.hpp.

## ◆ s_reset_count

template<typename T >

int32_t flecs::_::type_impl< T >::s_reset_count
| static

Definition at line 313 of file component.hpp.

## ◆ s_size

template<typename T >

size_t flecs::_::type_impl< T >::s_size
| static

Definition at line 310 of file component.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/component.hpp